summaryrefslogtreecommitdiff
path: root/tests/misc/wc-parallel.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/wc-parallel.sh')
-rwxr-xr-xtests/misc/wc-parallel.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/misc/wc-parallel.sh b/tests/misc/wc-parallel.sh
index c522ea7d7..2d1e9f405 100755
--- a/tests/misc/wc-parallel.sh
+++ b/tests/misc/wc-parallel.sh
@@ -25,8 +25,9 @@ print_ver_ wc
# This will output at least 16KiB per process
# and start 3 processes, with 2 running concurrently,
# which triggers often on Fedora 11 at least.
-(find tmp tmp tmp -type f | xargs -n2000 -P2 wc) |
+(find tmp tmp tmp -type f | xargs -n2000 -P2 wc 2>err) |
sed -n '/0 0 0 /!p' |
grep . > /dev/null && fail=1
+compare /dev/null err || fail=1
Exit $fail